# Backup created at 06-12-2005 21:45
# Database: pmm-cms 
# Tablename: cal_categories 
DROP TABLE IF EXISTS cal_categories; 
CREATE TABLE cal_categories (
    id tinyint(3) NOT NULL auto_increment,
    name varchar(64),
   PRIMARY KEY (id)
); 
insert into cal_categories (id,name) VALUES ('5','Classes/Workshops
');
insert into cal_categories (id,name) VALUES ('7','Community Events
');
insert into cal_categories (id,name) VALUES ('26','Music, Art, & Cultural');
insert into cal_categories (id,name) VALUES ('27','Meetings');

# Tablename: cal_contacts 
DROP TABLE IF EXISTS cal_contacts; 
CREATE TABLE cal_contacts (
    contact_id int(10) NOT NULL auto_increment,
    contact_fname varchar(20),
    contact_lname varchar(20),
    contact_email varchar(64),
    contact_phone varchar(20),
   UNIQUE contact_id (contact_id)
); 

# Tablename: cal_events 
DROP TABLE IF EXISTS cal_events; 
CREATE TABLE cal_events (
    event_id int(6) NOT NULL auto_increment,
    approved tinyint(1) DEFAULT '0' NOT NULL,
    contact_id int(4) DEFAULT '0' NOT NULL,
    event_name text,
    event_descr text,
    event_type tinyint(1) DEFAULT '0',
    event_recur tinyint(1) DEFAULT '0' NOT NULL,
    event_recur_day tinyint(1) DEFAULT '0' NOT NULL,
    event_country varchar(32),
    event_welcome text,
    event_sdate date DEFAULT '0000-00-00' NOT NULL,
    event_smonth tinyint(2),
    event_sday tinyint(2) DEFAULT '0' NOT NULL,
    event_syear int(4) DEFAULT '0' NOT NULL,
    event_time tinyint(1) DEFAULT '0' NOT NULL,
    event_time_hour tinyint(2) unsigned zerofill DEFAULT '00' NOT NULL,
    event_time_minute tinyint(2) unsigned zerofill DEFAULT '00' NOT NULL,
    event_time_ampm tinyint(1) DEFAULT '1' NOT NULL,
    event_duration time,
    event_edate date DEFAULT '0000-00-00' NOT NULL,
    event_emonth tinyint(2),
    event_eday tinyint(2) DEFAULT '0' NOT NULL,
    event_eyear int(4) DEFAULT '0' NOT NULL,
    event_time_hour_end tinyint(2) unsigned zerofill DEFAULT '00' NOT NULL,
    event_time_minute_end tinyint(2) unsigned zerofill DEFAULT '00' NOT NULL,
    event_time_ampm_end tinyint(1) DEFAULT '1' NOT NULL,
    event_raindate date,
    event_preregdead date,
    event_fee text,
    user_id int(11) DEFAULT '0' NOT NULL,
    link_id int(11),
    venue_id int(11),
    community_id int(11),
    org_id int(11),
    event_email varchar(48),
    event_phone varchar(24),
    category tinyint(3) DEFAULT '0',
    lastedit timestamp DEFAULT 'CURRENT_TIMESTAMP',
   UNIQUE event_id (event_id)
); 

# Tablename: cal_links 
DROP TABLE IF EXISTS cal_links; 
CREATE TABLE cal_links (
    link_id int(10) NOT NULL auto_increment,
    link_href varchar(64),
    link_content varchar(255),
   UNIQUE link_id (link_id)
); 

# Tablename: cal_orgs 
DROP TABLE IF EXISTS cal_orgs; 
CREATE TABLE cal_orgs (
    org_id int(10) NOT NULL auto_increment,
    org_name varchar(64),
    org_addr varchar(64),
    org_phone varchar(20),
    org_email varchar(20),
    org_fax varchar(20),
   UNIQUE org_id (org_id)
); 

# Tablename: cal_users 
DROP TABLE IF EXISTS cal_users; 
CREATE TABLE cal_users (
    user_id int(10) NOT NULL auto_increment,
    user_name varchar(20),
    user_password varchar(64),
    user_email varchar(64),
    user_phone varchar(20),
    user_realname varchar(64),
    auth tinyint(2) DEFAULT '0',
   UNIQUE user_id (user_id)
); 
insert into cal_users (user_id,user_name,user_password,user_email,user_phone,user_realname,auth) VALUES ('2','test','378b243e220ca493','you@yourdomain.org','888-555-1212','Test User','0');
insert into cal_users (user_id,user_name,user_password,user_email,user_phone,user_realname,auth) VALUES ('1','admin','*4ACFE3202A5FF5CF467898FC58AAB1D615029441','bill@hcomtech.com','877-283-6451','Administrator','5');

# Tablename: cal_venues 
DROP TABLE IF EXISTS cal_venues; 
CREATE TABLE cal_venues (
    venue_id int(10) NOT NULL auto_increment,
    venue_name varchar(64),
    venue_addr varchar(255),
    venue_phone varchar(20),
    venue_email varchar(64),
    url_id int(11) DEFAULT '0' NOT NULL,
    venue_fax varchar(20),
    community_id int(10) DEFAULT '0' NOT NULL,
    user_id tinyint(4) DEFAULT '0' NOT NULL,
    approved tinyint(1) unsigned zerofill DEFAULT '0',
   UNIQUE venue_id (venue_id)
); 
insert into cal_venues (venue_id,venue_name,venue_addr,venue_phone,venue_email,url_id,venue_fax,community_id,user_id,approved) VALUES ('1','My Test Venue','123 My Street','315-315-3155','me@mydomain.com','1','315-315-3155','151','2','0');

# Tablename: communities 
DROP TABLE IF EXISTS communities; 
CREATE TABLE communities (
    community_id int(10) NOT NULL auto_increment,
    community_name varchar(64),
    community_state varchar(20),
    community_county varchar(64),
    community_country varchar(64),
    community_zip varchar(20),
   UNIQUE community_id (community_id)
); 
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('7','ADAMS','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('8','ADAMS CENTER','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('9','ADDISON','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('10','ADIRONDACK','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('12','ALBANY','43','ALBANY','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('14','ALBURG','61','GRAND ISLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('16','ALEXANDRIA BAY','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('19','ALPLAUS','43','SCHENECTADY','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('20','ALTAMONT','43','ALBANY','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('21','ALTONA','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('30','ANTWERP','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('32','APPLE HILL','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('34','ARGYLE','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('39','ASHTON','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('40','ATHELSTAN','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('41','ATHENS','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('42','ATHOL','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('45','AU SABLE FORKS','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('50','AVONMORE','46','STORMONT','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('51','AYLMER','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('52','BAIED\'URFD','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('55','BAKERS MILLS','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('56','BAKERSFIELD','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('59','BALLSTON SPA','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('61','BARNEVELD','43','ONEIDA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('70','BEAVER FALLS','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('76','BELIVDERE','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('78','BELLEVILLE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('89','BLACK RIVER','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('90','BLOOMINGDALE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('93','BLUE MOUNTAIN LAKE','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('95','BOLTON LANDING','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('96','BOLTON VALLEY','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('97','BOMBAY','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('107','BRANDON','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('108','BRANT LAKE','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('109','BRANTINGHAM','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('111','BRASHER FALLS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('116','BRIDGEPORT','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('119','BRIER HILL','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('121','BRISTOL','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('123','BROCKVILLE','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('131','BROWNVILLE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('133','BRUSHTON','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('136','BURKE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('137','BURLINGTON','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('138','BURNT HILLS','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('139','BURRITTS RAPIDS','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('140','BUSKIRK','43','RENSSELAER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('141','CADYVILLE','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('142','CALCIUM','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('147','CAMBRIDGE','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('151','CANTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('154','CAPE VINCENT','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('155','CARDINAL','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('156','CARLETON PLACE','46','LANARK','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('159','CAROGA LAKE','43','FULTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('161','CARTHAGE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('164','CASTORLAND','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('169','CHAMPLAIN','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('173','CHARLOTTE','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('175','CHARLTON','43','MONTGOMERY','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('176','CHASE MILLS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('177','CHATEAUGAY','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('179','CHAUMONT','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('180','CHAZY','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('185','CHESTERTOWN','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('186','CHESTERVILLE','46','DUNDAS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('189','CHILDWOLD','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('191','CHURUBUSCO','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('198','CLAYTON','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('202','CLEVERDALE','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('207','COLCHESTER','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('210','COLTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('215','CONSTABLE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('217','COOPERSTOWN','43','OTSEGO','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('218','COPENHAGEN','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('221','CORINTH','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('222','CORNWALL','46','STORMONT','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('224','CRANBERRY LAKE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('227','CROGHAN','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('228','CROWN POINT','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('229','CRYSLER','46','STORMONT','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('234','DANBY','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('235','DANNEMORA','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('241','DEER RIVER','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('242','DEKALB JCT','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('246','DELTA','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('248','DEPAUVILLE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('252','DEXTER','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('253','DIAMOND POINT','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('254','DICKINSON CENTER','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('255','DIX HILLS','43','SUFFOLK','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('256','DORSET','61','BENNINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('257','DORVAL','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('264','E. FAIRFIELD','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('266','EAGLE BAY','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('274','EAST ROLLINGFORD','61','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('276','EASTCHESTER','43','WESTCHESTER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('279','EDWARDS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('283','ELGIN','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('284','ELIZABETHTOWN','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('287','ELLENBURG CENTER','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('288','ELLENBURG DEPOT','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('297','ENOSBURG FALLS','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('300','ESSEX','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('301','ESSEX','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('302','ESSEX JCT','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('304','EVANS MILLS','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('309','FAIRFAX','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('311','FAIRFIELD','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('312','FAIRHAVEN','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('317','FARMINGDALE','43','SUFFOLK','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('319','FAYETTEVILLE','43','ONONDAGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('320','FELTS MILLS','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('322','FERRISBURG','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('323','FINCH','46','STORMONT','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('324','FINE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('330','FOREST HILLS','43','QUEENS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('331','FORT ANN','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('332','FORT COVINGTON','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('333','FORT DRUM','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('334','FORT EDWARD','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('335','FORT JACKSON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('342','FRANKLIN','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('345','FULTON','43','OSWEGO','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('346','GABRIELS','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('349','GANANOQUE','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('350','GANSEVOORT','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('360','GLEN ROBERTSON','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('362','GLENFIELD','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('364','GLENS FALLS','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('365','GLENVILLE','43','SCHENECTADY','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('367','GLOUCESTER','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('372','GOUVERNEUR','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('374','GRAND ISLAND','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('375','GRAND ISLE','61','GRAND ISLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('377','GRANITE SPRINGS','43','WESTCHESTER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('378','GRANVILLE','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('379','GREAT BEND','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('382','GREENFIELD CENTER','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('386','GREENWICH','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('390','HADLEY','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('391','HAILESBORO','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('398','HAMMOND','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('399','HAMMOND','46','RUSSELL','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('401','HAMPTON','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('403','HANNAWA FALLS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('406','HARDWICK','61','CALEDONIA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('409','HARRISVILLE','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('416','HELENA','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('418','HENDERSON HARBOR','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('421','HERMON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('424','HEUVELTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('426','HIGHGATE','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('427','HIGHGATE SPRINGS','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('431','HINESBURG','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('434','HOGANSBURG','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('444','HOPKINTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('447','HUDSON','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('448','HULETTS LANDING','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('453','HUNTINGTON','61','CHITENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1087','Fineview','43','','USA','13640');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('458','INDIAN LAKE','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('460','INGLESIDE','46','STORMONT','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('461','INLET','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('463','IROQUOIS','46','DUNDAS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('464','ISLE LA MOTTE','61','GRAND ISLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('469','JAY','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('470','JEFFERSONVILLE','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('471','JERICHO','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('472','JOHNSBURG','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('473','JOHNSON','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('475','JOHNSTOWN','43','FULTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('476','JONESVILLE','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('479','KARS','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('482','KEENE','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('483','KEENE VALLEY','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('484','KEESEVILLE','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('485','KEMPTVILLE','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('497','KINGSTON','46','FRONTENAC','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('501','LAFARGEVILLE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('506','LAKE CLEAR','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('507','LAKE GEORGE','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('508','LAKE LUZERNE','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('510','LAKE PLACID','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('511','LAKE PLEASANT','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('515','LANCASTER','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('517','LANSDOWNE','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('522','LAVAL','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('523','LAWRENCEVILLE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('533','LISBON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('538','LONG LAKE','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('543','LORRAINE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('548','LOWVILLE','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('550','LYN','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('552','LYON MT.','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('558','MADRID','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('559','MAITLAND','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('561','MALLORYTOWN','46','LEEDS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('562','MALONE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('565','MANCHESTER','61','BENNINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('569','MANOTICK','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('576','MARTINSBURG','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('579','MASSENA','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('588','MERRICKVILLE','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('589','MERRILL','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('591','METCALFE','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('593','MIDDLEBURY','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('595','MIDDLETOWN SPRINGS','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('603','MILTON','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('606','MINERVA','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('610','MOIRA','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('611','MONKTON','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('613','MONTPELIER','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('614','MONTREAL','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('616','MOOERS','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('617','MOOERS FORKS','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('619','MORRISBURG','46','DUNDAS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('622','MORRISTOWN','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('627','MOUNTAIN','46','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('628','MOUNTAIN VIEW','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('635','N. HERO','61','GRAND ISLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('642','NATURAL BRIDGE','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('645','NEPEAN','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('659','NEW RUSSIA','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('666','NEWCOMB','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('667','NEWTON FALLS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('670','NICHOLVILLE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('673','NORFOLK','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('675','NORTH BANGOR','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('677','NORTH CREEK','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('678','NORTH FERRISBURG','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('679','NORTH GOWER','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('680','NORTH GRANVILLE','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('682','NORTH LANCASTER','46','GLENGARY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('683','NORTH LAWRENCE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('686','NORTH RIVER','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('690','NORTHVILLE','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('693','NORWOOD','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('698','OGDENSBURG','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('701','OLD FORGE','43','HERKIMER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('703','OLMSTEDVILLE','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('705','ONCHIOTA','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('713','ORLEANS','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('715','ORMSTOWN','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('716','OSGOODE','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('718','OSWEGATCHIE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('719','OSWEGO','43','OSWEGO','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('720','OTTAWA','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('723','OXBOW','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('724','OXFORD MILLS','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('731','PARADOX','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('733','PARISHVILLE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('736','PAUL SMITHS','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('737','PAWLET','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('744','PERU','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('745','PERU','61','BENNINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('747','PHILADELPHIA','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('751','PIERCEFIELD','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('752','PIERREFONDS','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('753','PILOT KNOB','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('755','PINEVILLE','43','OSWEGO','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('758','PITTSFORD','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('759','PLAINFIELD','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('761','PLATTSBURGH','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('764','PLESSIS','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('769','PORT HENRY','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('770','PORT KENT','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('771','PORT LEYDEN','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('779','POTSDAM','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('781','POTTERSVILLE','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('784','POULTNEY','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('785','PRESCOTT','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('787','PROSPECT','43','ONEIDA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('789','PYRITES','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1086','Chippewa Bay','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('791','QUEENSBURY','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('794','RAINBOW LAKE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('797','RAQUETTE LAKE','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('798','RAY BROOK','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('799','RAYMONDVILLE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('803','REDFORD','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('804','REDWOOD','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('805','REMSEN','43','ONEIDA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('807','RENSSELAER FALLS','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('809','RICHFORD','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('811','RICHMOND','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('813','RICHVILLE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('816','RIPARIUS','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('817','RIPTON','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('820','ROCHESTER','61','WINDSOR','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('822','RODMAN','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('824','ROOSEVELTOWN','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('829','ROUND LAKE','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('831','ROUSES POINT','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('836','RUPERT','61','BENNINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('838','RUSSELL','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('839','RUSSELL','46','RUSSELL','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('842','S. BURLINGTON','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('844','SABAEL','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('845','SACKETS HARBOR','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('848','SAINT HUBERT','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('849','SAINT-BENOIT-DU-LAC','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('850','SALEM','43','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('851','SALISBURY','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('859','SARANAC','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('860','SARANAC LAKE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('862','SARATOGA SPRINGS','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('869','SCHROON LAKE','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('870','SCHUYLER FALLS','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('878','SEVERANCE','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('881','SHELBURNE','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('882','SHELDON','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('886','SHOREHAM','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('887','SHREWSBURY','61','RUTLAND','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('895','SMITHS FALLS','46','LANARK','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('897','SOMERS','43','WESTCHESTER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('901','SOUTH COLTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('902','SOUTH GLENS FALLS','43','SARATOGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('903','SOUTH HERO','61','GRAND ISLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('904','SOUTH LANCASTER','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('905','SOUTH MOUNTAIN','46','DUNDAS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('908','SPECULATOR','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('910','SPENCERVILLE','46','GRENVILLE','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('913','ST. ALBANS','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('916','ST. LAZARE','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('917','ST. MARTHE','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('921','ST. PIE','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('922','ST. REGIS FALLS','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('924','STAATSBURG','43','DUTCHESS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('926','STAMFORD','43','DELAWARE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('928','STAR LAKE','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('929','STARKSBORO','61','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('932','STE ANNE DE BELLEVUE','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('933','STE. AGNES DE DUNDEE','51','','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('936','STILLWATER','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('937','STITTSVILLE','46','OTTAWA-CARLETON','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('939','STONY CREEK','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('941','STOWE','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('943','SUMMERSTOWN','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('947','SWANTON','61','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('950','SYRACUSE','43','ONONDAGA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1088','Hague','43','','','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1089','Pierrepont','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1090','Woodgate','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1091','Osceola','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('961','THENDARA','43','HERKIMER','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('962','THERESA','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('965','THOUSAND ISLAND PARK','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('966','THREE MILE BAY','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('967','TICONDEROGA','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('977','TUPPER LAKE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('978','TURIN','43','LEWIS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('981','UNDERHILL','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('982','UNDERHILL CENTER','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('986','UPPER JAY','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('987','UTICA','43','ONEIDA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('992','VERGENNES','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('993','VERMONTVILLE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1000','WADDINGTON','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1001','WADHAMS','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1003','WAITSFIELD','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1009','WANAKENA','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1014','WARRENSBURG','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1016','WATERBURY','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1017','WATERBURY CENTER','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1020','WATERTOWN','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1023','WATERVILLE','61','LAMOILLE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1025','WEBSTER','43','MONROE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1026','WELLESLEY ISLAND','43','JEFFERSON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1027','WELLS','43','HAMILTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1029','WEST CHAZY','43','CLINTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1037','WEST STOCKHOLM','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1040','WESTFORD','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1043','WESTPORT','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1045','WEVERTOWN','43','WARREN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1047','WHIPPLEVILLE','43','FRANKLIN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1050','WHITEFACE','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1051','WHITESBORO','43','ONEIDA','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1052','WHITING','61','ADDISON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1053','WILLIAMSBURG','46','DUNDAS','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1056','WILLIAMSTOWN','46','GLENGARRY','CAN','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1059','WILLISTON','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1060','WILLSBORO','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1063','WILMINGTON','43','ESSEX','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1067','WINOOSKI','61','CHITTENDEN','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1070','WINTHROP','43','ST. LAWRENCE','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1072','WOODHAVEN','43','QUEENS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1073','WOODSIDE','43','QUEENS','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1076','WORCHESTER','61','WASHINGTON','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1085','Boonville','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1084','Hudson Falls','43','','USA','');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1092','test','2','','CAN','13617');
insert into communities (community_id,community_name,community_state,community_county,community_country,community_zip) VALUES ('1093','My Community','2','','USA','11111');

# Tablename: states 
DROP TABLE IF EXISTS states; 
CREATE TABLE states (
    state_id tinyint(4) NOT NULL auto_increment,
    state_name char(64)
); 
insert into states (state_id,state_name) VALUES ('2','AK');
insert into states (state_id,state_name) VALUES ('3','AL');
insert into states (state_id,state_name) VALUES ('4','AR');
insert into states (state_id,state_name) VALUES ('6','AZ');
insert into states (state_id,state_name) VALUES ('7','BC');
insert into states (state_id,state_name) VALUES ('8','CA');
insert into states (state_id,state_name) VALUES ('9','CO');
insert into states (state_id,state_name) VALUES ('10','CT');
insert into states (state_id,state_name) VALUES ('11','DC');
insert into states (state_id,state_name) VALUES ('12','DE');
insert into states (state_id,state_name) VALUES ('13','FL');
insert into states (state_id,state_name) VALUES ('15','GA');
insert into states (state_id,state_name) VALUES ('17','HI');
insert into states (state_id,state_name) VALUES ('18','IA');
insert into states (state_id,state_name) VALUES ('19','ID');
insert into states (state_id,state_name) VALUES ('20','IL');
insert into states (state_id,state_name) VALUES ('21','IN');
insert into states (state_id,state_name) VALUES ('22','KS');
insert into states (state_id,state_name) VALUES ('23','KY');
insert into states (state_id,state_name) VALUES ('24','LA');
insert into states (state_id,state_name) VALUES ('25','MA');
insert into states (state_id,state_name) VALUES ('26','MD');
insert into states (state_id,state_name) VALUES ('27','ME');
insert into states (state_id,state_name) VALUES ('29','MI');
insert into states (state_id,state_name) VALUES ('30','MN');
insert into states (state_id,state_name) VALUES ('31','MO');
insert into states (state_id,state_name) VALUES ('33','MS');
insert into states (state_id,state_name) VALUES ('34','MT');
insert into states (state_id,state_name) VALUES ('35','NC');
insert into states (state_id,state_name) VALUES ('36','ND');
insert into states (state_id,state_name) VALUES ('37','NE');
insert into states (state_id,state_name) VALUES ('38','NH');
insert into states (state_id,state_name) VALUES ('39','NJ');
insert into states (state_id,state_name) VALUES ('40','NM');
insert into states (state_id,state_name) VALUES ('41','NS');
insert into states (state_id,state_name) VALUES ('42','NV');
insert into states (state_id,state_name) VALUES ('43','NY');
insert into states (state_id,state_name) VALUES ('44','OH');
insert into states (state_id,state_name) VALUES ('45','OK');
insert into states (state_id,state_name) VALUES ('46','ON');
insert into states (state_id,state_name) VALUES ('47','OR');
insert into states (state_id,state_name) VALUES ('48','PA');
insert into states (state_id,state_name) VALUES ('49','PR');
insert into states (state_id,state_name) VALUES ('50','PW');
insert into states (state_id,state_name) VALUES ('51','QC');
insert into states (state_id,state_name) VALUES ('52','RI');
insert into states (state_id,state_name) VALUES ('53','SC');
insert into states (state_id,state_name) VALUES ('54','SD');
insert into states (state_id,state_name) VALUES ('55','TN');
insert into states (state_id,state_name) VALUES ('56','TX');
insert into states (state_id,state_name) VALUES ('57','UM');
insert into states (state_id,state_name) VALUES ('58','UT');
insert into states (state_id,state_name) VALUES ('59','VA');
insert into states (state_id,state_name) VALUES ('60','VI');
insert into states (state_id,state_name) VALUES ('61','VT');
insert into states (state_id,state_name) VALUES ('62','WA');
insert into states (state_id,state_name) VALUES ('63','WI');
insert into states (state_id,state_name) VALUES ('64','WV');
insert into states (state_id,state_name) VALUES ('65','WY');

