<?php
// displays a link to the announcement pop-up window for an annc item
/**
 * Document::display_annc_link()
 * 
 * { Description }
 */
function display_annc_link($annc)
{
    global $baseurl, $caldir;

    echo '<a href="'.$baseurl . $caldir.'annc_full.php?annc_id=' . $annc['annc_id'] . '" ';
    echo 'onclick="NewWindow(\'' . $baseurl . $caldir . 'annc.php?annc_id=' . $annc['annc_id'] . '\', \'annc\', 300, 300, \'yes\'); return false;">';
    echo ereg_replace("(\r\n|\n|\r)", "<br />", trim($annc['title']));
    echo '</a>';
} 
// displays error messages - single or multiple - set in array $errors[]
/**
 * Document::display_errors()
 *
 * { Description }
 */
function display_errors($errors)
{
    echo '<div class="errors">';
    if (count($errors) > 1)
    {
        echo "You need to do the following before your submission will be accepted:<ul>";
        foreach ($errors as $error)
        {
            echo "<li>$error</li>\n";
        } 
        echo "</ul>";
    } 
    else
    {
        echo $errors[0];
    } 
    echo '</div>';
} 
// displays event info - creates start and end dates from $event array
/**
 * Document::display_event()
 * 
 * { Description }
 * 
 * @param integer $include_date 
 * @param  $ [type] $edit
 */
function display_event($event, $include_date = 1, $edit = false)
{

    for ($i = 1; $i <= 7; $i++)
    {
        $days[$i] = strftime('%A', mktime(12, 0, 0, 4, $i, date("Y")));
    } 

    $re = array('1' => 'First', '2' => 'Second', '3' => 'Third', '4' => 'Fourth', '-1' => 'Last', '-2' => '2nd Last', '-3' => '3rd Last');

    $sday = $event['start'] ? strtotime($event['start'])
    : mktime(0, 0, 1, $event['event_smonth'], $event['event_sday'], $event['event_syear']);
    $eday = $event['end'] ? strtotime($event['end'])
    : mktime(0, 0, 1, $event['event_emonth'], $event['event_eday'], $event['event_eyear']);

    echo '<!--  ////////// BEGIN EVENT DISPLAY [display_event()] //////////  -->' . "\r\n";

    echo '<div class="event">';

    if ($event['app'] == '0') echo '<div class="pending" style="padding: 10px; margin: 0px;">';
    if ($event['app'] == '-1') echo '<div class="declined" style="padding: 10px; margin: 0px;">';
    if (($event['event_type'] != 3) && $include_date && ($event['start'] || $event['event_smonth'])) echo "<h2>", date("F j, Y", $sday), "</h2>\n";


    // *** BEGIN TITLE OUTPUT *** //
    echo '<h3>' . htmlentities($event['event_name']);
    // OFFER EDIT CHOICE IF USER=AUTHOR)
    if ($_SESSION['cal_login_status'])
    {
        if ($owner = owner_check(get_user_id($_SESSION['cal_usr']), $event['user_id'], $event['id']) && !$edit)
        {
            // -- INSERT EDIT LINK IF ADMIN OR OWNER
            echo '<div class="smalltext">' . "\r\n";
            echo '<a class="menulink_blue" href="';
            echo ($GLOBALS['admin'] == true ? $GLOBALS['baseurl'] . $GLOBALS['admin_url'] . 'admin.php?page=1&amp;op=3&amp;' : $GLOBALS['baseurl'] . $GLOBALS['caldir'] . 'submit-event.php?');
            echo 'editevent=true&amp;e_id=' . $event['id'] . '">' . "\r\n";
            echo '<img src="' . $GLOBALS['baseurl'] . $GLOBALS['caldir'] . 'images/edit.gif" alt="" border="0">&nbsp;EDIT THIS EVENT</a>' . "\r\n";
            echo '</div>' . "\r\n";
        }
    }
    echo '</h3>';


    // *** BEGIN DATE OUTPUT *** //
    echo '<div class="date">' . "\r\n";;
    display_date_output($event['event_type'],$sday,$eday,$re[$event['event_recur']],$days[$event['event_recur_day']]);
    echo '</div>' . "\r\n";

    // *** BEGIN TIME OUTPUT *** //
    echo '<div class="time">' . "\r\n";
    display_time_output($event['event_time'],$event['event_time_hour'],$event['event_time_minute'],$event['event_time_ampm'],$event['event_time_hour_end'],$event['event_time_minute_end'],$event['event_time_ampm_end']);
    echo '</div>' . "\r\n";

    // *** BEGIN VENUE/LOCATION OUTPUT *** //
    if ($event['venue_id'])
    {
        $venue = read_venue($event['venue_id']);
        $community = read_community($venue['community_id']);
	$state = read_state($community['community_state']);
     	echo '<div class="venue"><span class="content_label">Where:</span> ';
        echo '<A href="javascript:;" class="menulink_blue" style="text-decoration: underline;" onClick="var disp=document.getElementById(\'venueDescr';
        echo $event['id'] . '\').style.display; document.getElementById(\'venueDescr';
        echo $event['id'] . '\').style.display=(disp==\'block\') ? (\'none\') : (\'block\')">';
        echo $venue['venue_name'].', '.community_namefix($community['community_name']).', '.$state['state_name'];
        echo '</A>';
        echo '</div>' . "\r\n";

        echo '<div class="venue_descr" id="venueDescr' . $event['id'] . '" style="display:none;">';
	   	display_venue_output($venue);
	   	echo '</div>' . "\r\n";
    }
	elseif ($event['community_id'])
	{
	    echo '<div class="venue"><span class="content_label">Where?</span>' . "\r\n";
	    $community = read_community($event['community_id']);
	    $state = read_state($community['community_state']);
	    echo community_namefix($community['community_name']) . ', ' . $state['state_name'] . '<br>' . "\r\n";
	    echo '</div>' . "\r\n";
	}


    // *** BEGIN DESCRIPTION OUTPUT *** //
    echo '<div class="l_desc"><!-- <span class="content_label">Details:</span> --> ' . "\r\n";
    echo ereg_replace("(\r\n|\n|\r)", "<br />\r\n", trim($event['event_descr']));
    echo '</div>' . "\r\n";


    // *** BEGIN CONTACT INFO OUTPUT *** //
    if ((!empty($event['email']) && ($event['email'] != $venue['venue_email'])) || (!empty($event['event_phone']) && (fix_phone($event['event_phone']) != fix_phone($venue['venue_phone']))))
    {
        echo '<div class="content_label">For more info:</div>';
        if (!empty($event['email']) && ($event['email'] != $venue['venue_email']))
        {
        	echo '<div class="calendar">Email: <a href="mailto:';
        	echo htmlentities($event['email']) . '">' . htmlentities($event['email']);
        	echo '</a></div>' . "\r\n";
    	}
        if (!empty($event['event_phone']) && (fix_phone($event['event_phone']) != fix_phone($venue['venue_phone'])))
        {
        	echo '<div class="calendar">Phone: ' . htmlentities(fix_phone($event['event_phone'])) . '</div>' . "\r\n";
        }
	}


    // *** BEGIN OWNER OUTPUT *** //
    if ($GLOBALS['admin'])
    {
    	echo '<p style="font-style:italic;color:#999999;">Event Owner: ';
    	echo user_info($event['user_id'],'user_realname');
    	echo '</p>';
	}



    if ($event['app'] < 1) echo '</div>';


    // *** BEGIN TOOLBAR OUTPUT *** //
    /*
	echo '<div class="smalltext" style="margin:12px 0px 12px 0px;">'."\r\n";
	echo '<a class="menulink_blue" href="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'mail_event.php?id='.$event['id'].'">';
	echo '<img src="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'images/mailto.gif" alt="" border="0">&nbsp;';
	echo 'EMAIL';
	echo '</a>'."\r\n";
	echo '&nbsp;&nbsp;'."\r\n";
	echo '<a class="menulink_blue" onclick="NewWindow(\''.$GLOBALS['baseurl'].$GLOBALS['caldir'].'print_event.php?id='.$event['id'].'\',\'PrintWindow\',700,500,1); return false;" href="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'print_event.php?id='.$event['id'].'">';
	echo '<img src="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'images/print_this.gif" alt="" border="0">&nbsp;';
	echo 'PRINT';
	echo '</a>'."\r\n";
	echo '&nbsp;&nbsp;'."\r\n";
	echo '<a class="menulink_blue" href="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'save_event.php?id='.$event['id'].'&amp;date='.$event['start'].'">';
	echo '<img src="'.$GLOBALS['baseurl'].$GLOBALS['caldir'].'images/disk.gif" alt="" border="0">&nbsp;';
	echo 'SAVE';
	echo '</a>&nbsp;&nbsp;'."\r\n";
	echo '</div>'."\r\n";
	*/

    if ($event['app'] == '0' || $event['app'] == '-1') echo '</div>';
    echo "</div>";

    echo '<!--  ////////// END EVENT DISPLAY [display_event()] //////////  -->';
}

function display_venue_output($venue)
{
    $community = read_community($venue['community_id']);
    $state = read_state($community['community_state']);
    $url = get_url($venue['url_id']);

    echo '<h4>' . $venue['venue_name'] . '</h4>';
    if ($venue['venue_addr']) echo $venue['venue_addr'] . ',&nbsp;';
    echo community_namefix($community['community_name']) . ', ' . $state['state_name'] . '<br>';
    if ($venue['venue_phone']) echo '<span style="width: 75px; float: left;">Phone: </span>' . htmlentities(fix_phone($venue['venue_phone'])) . '<br>';
    // if ($venue['venue_fax']) echo '<span style="width: 75px; float: left;">Fax: </span>'.$venue['venue_fax'].'<br>';
    if ($venue['venue_email']) echo '<span style="width: 75px; float: left;">Email: </span><a href="mailto:' . htmlentities($venue['venue_email']) . '">' . htmlentities($venue['venue_email']) . '</a><br>';
    if ($url) echo '<span style="width: 75px; float: left;">Website: </span><a href="' . fixurl($url) . '">' . $url . '</a><br>';
}

function display_date_output($event_type,$sday,$eday,$event_recur,$event_recur_day)
{
    switch ($event_type)
    {
        case 2:
        case 'multi':
            echo date("F j", $sday) . ' to ' . date("F j", $eday);
            break;
        case 3:
        case 'recur':
            echo 'Every ' . $event_recur . ' ' . $event_recur_day . ' of the month';
            break;
    }
}

function display_time_output($time,$hour,$minute,$ampm,$hour_end,$minute_end,$ampm_end)
{
    if ($time < 1)
    {
        echo 'All Day';
    }
    else
    {
        echo $hour . ':' . $minute . ($ampm > 0 ? '&nbsp;pm' : '&nbsp;am');
        if (($hour_end + 0) > 0)
        {
            echo ' - ';
            echo $hour_end . ':' . $minute_end . ($ampm_end > 0 ? '&nbsp;pm' : '&nbsp;am');
        }
    }
}

// displays event info - creates start and end dates from $event array - displays cels of rows of a table
/**
 * Document::display_event_table()
 * 
 * { Description }
 * 
 * @param integer $include_date 
 * @param  $ [type] $edit
 */
function display_event_table($event, $include_date = 1, $edit = false)
{
    for ($i = 1; $i <= 7; $i++)
    {
        $days[$i] = strftime('%A', mktime(12, 0, 0, 4, $i, 2001));
    } 

    $re = array('1' => '1st', '2' => '2nd', '3' => '3rd', '4' => '4th', '-1' => 'Last', '-2' => '2nd Last', '-3' => '3rd Last');

    $sday = $event['start'] ? strtotime($event['start'])
    : mktime(0, 0, 1, $event['event_smonth'], $event['event_sday'], $event['event_syear']);
    $eday = $event['end'] ? strtotime($event['end'])
    : mktime(0, 0, 1, $event['event_emonth'], $event['event_eday'], $event['event_eyear']);

    ?>
<!--  ////////// BEGIN EVENT DISPLAY [display_event()] //////////  -->
<?php
    switch ($event['event_type'])
    {
        case 1:
        case 'single':
            echo '<td valign="top" class="date">' . date("dMy", $sday) . '</td>';
            break;
        case 2:
        case 'multi':
            echo '<td valign="top" class="date" nowrap>' . date("dMy", $sday) . '&nbsp;-&nbsp;' . date("dMy", $eday) . '</td>';
            break;
        case 3:
        case 'recur':
            echo '<td valign="top" class="date">Every ' . $re[$event['event_recur']] . ' ' . $days[$event['event_recur_day']] . ' of the month</td>';
            break;
    } 

    ?>
<td valign="top" class="date" width="140">
<?php
    if ($event['event_time'] < 1)
    {
        echo 'All Day';
    } 
    else
    {
        echo $event['event_time_hour'] . ':' . $event['event_time_minute'] . ($event['event_time_ampm'] > 0 ? 'PM' : 'AM');
        if (($event['event_time_hour_end'] + 0) > 0)
        {
            echo ' - ';
            echo $event['event_time_hour_end'] . ':' . $event['event_time_minute_end'] . ($event['event_time_ampm_end'] > 0 ? 'PM' : 'AM');
        } 
    } 

    ?>
</td>
<td valign="top">
	<div class="s_descr">
		<?=htmlentities($event['event_name'])?>&nbsp;
		(<a href="<?=$GLOBALS['baseurl'] . $GLOBALS['admin_url']?>admin.php?page=1&amp;op=2&amp;id=<?=$event['id']?>" class="menulink_blue">VIEW</a>)
	</div>
</td>
<td valign="top" class="l_desc">
<?php echo ereg_replace("(\r\n|\n|\r)", "<br />", substr(trim($event['event_descr']), 0, 75)) . '...';
    if ($event['url'])
    {

        ?><br /><br /><b>URL:</b> <?php echo '<a href="', htmlentities($event['url']), '">', htmlentities($event['url']), '</a>';
    } 

    ?>
</td>
<?php
    if ($event['venue_id'])
    {

        ?>
<td valign="top" class="venue">
<?php
        $venue = read_venue($event['venue_id']);
        $community = read_community($venue['community_id']);
        $state = read_state($community['community_state']);
        echo $venue['venue_name'] . '<br>';
        echo community_namefix($community['community_name']) . ', ' . $state['state_name'] . '<br>';

        ?>
</td><?php
    } 
    else
    {
        if ($event['community_id'])
        {

            ?>
	<td valign="top" class="venue">
<?php $community = read_community($event['community_id']);
            $state = read_state($community['community_state']);
            echo community_namefix($community['community_name']) . ', ' . $state['state_name'] . '<br>';

            ?>
	</td><?php
        }
    }

    ?>
<!--  ////////// END EVENT DISPLAY [display_event()] //////////  -->
<?php
}
// displays event info - creates start and end dates from $event array - displays unformatted text
/**
 * Document::display_event_print()
 *
 * { Description }
 *
 * @param integer $include_date
 */
function display_event_printscript($event, $include_date=1, $edit=false) {
  for ($i = 1; $i <= 7; $i++) {$days[$i] = strftime('%A',mktime(12,0,0,4,$i,2001));}
  $re = array('1'=>'1st','2'=>'2nd','3'=>'3rd','4'=>'4th','-1'=>'Last','-2'=>'2nd Last','-3'=>'3rd Last');
  $sday = $event['start'] ? strtotime($event['start']) : mktime(0,0,1,$event['event_smonth'],$event['event_sday'],$event['event_syear']);
  $eday = $event['end'] ? strtotime($event['end']) : mktime(0,0,1,$event['event_emonth'],$event['event_eday'],$event['event_eyear']);?>
<? // DATE INFO?>
OpenWindow.document.write('<div class="date">'+"\n")
<?switch ($event['event_type']) {
  case 1:
  case 'single':?>
OpenWindow.document.write('<?=date("l, F jS", $sday)?>&nbsp;/&nbsp;'+"\n")
<?  	break;
  case 2:
  case 'multi':?>
OpenWindow.document.write('<?=date("l, M. jS",$sday)?>&nbsp;-&nbsp;<?=date("l, M. jS",$eday)?>&nbsp;/&nbsp;'+"\n")
<?    break;
  case 3:
  case 'recur':?>
OpenWindow.document.write('Every <?=$re[$event['event_recur']].' '.$days[$event['event_recur_day']]?> of the month&nbsp;/&nbsp;'+"\n")
<?	break;
}
?>
<?// TIME INFO?>
<?if ($event['event_time']<1) {?>
OpenWindow.document.write('All Day'+"\n");
<?}
else {?>
OpenWindow.document.write('<?=$event['event_time_hour']?>:<?=$event['event_time_minute'].($event['event_time_ampm'] > 0 ? '&nbsp;PM' : '&nbsp;AM')?>'+"\n")
<?	if (($event['event_time_hour_end']+0)>0) {?>
OpenWindow.document.write('-'+"\n")
OpenWindow.document.write('<?=$event['event_time_hour_end']?>:<?=$event['event_time_minute_end'].($event['event_time_ampm_end'] > 0 ? '&nbsp;PM' : '&nbsp;AM')?>'+"\n")
<?	}
}?>
OpenWindow.document.write('</div>'+"\n")
<? // LOCATION INFO
if ($event['venue_id']) {?>
OpenWindow.document.write('	<div class="venue">'+"\n")
<?
$venue = read_venue($event['venue_id']);
$community = read_community($venue['community_id']);
$state = read_state($community['community_state']);?>
OpenWindow.document.write("<?=htmlentities($venue['venue_name'])?>,&nbsp;"+"\n")
OpenWindow.document.write("<?=htmlentities(community_namefix($community['community_name']))?>, <?=$state['state_name']?>"+"\n")
OpenWindow.document.write('	</div>'+"\n")
<?
}
else {
	if ($event['community_id']) {?>
OpenWindow.document.write('	<div class="venue"><b>Location:&nbsp;</b>'+"\n")
<?		$community=read_community($event['community_id']);
		$state = read_state($community['community_state']);?>
OpenWindow.document.write('<?=community_namefix($community['community_name'])?>, <?=$state['state_name']?>'+"\n")
OpenWindow.document.write('	</div>'+"\n")
<?	}
}?>
<?// TITLE INFO?>
OpenWindow.document.write('<div>'+"\n")
OpenWindow.document.write('<span class="s_descr">'+"\n")
OpenWindow.document.write('<?=htmlentities(ereg_replace("(')","\\'",$event['event_name']))?>'+"\n")
OpenWindow.document.write('</span>&nbsp;'+"\n")
<?// DESCRIPTION INFO?>

OpenWindow.document.write('<?=substr((ereg_replace("(\r\n|\n|\r)","<br />",trim(ereg_replace("(')","\\'",$event['event_descr'])))),0,150)?>...'+"\n")

OpenWindow.document.write('</div>'+"\n")
OpenWindow.document.write('	<br>'+"\n")
<?
}


// display a <div> for each of the events that fall on a given day
/**
 * Document::display_events_for_day()
 *
 * { Description }
 */
function display_events_for_day($day, $events)
{
global $PHP_SELF, $cm, $cy;
foreach ($events as $event)
{
if (($event['event_type'] == 2 && $event['start'] <= $day && $event['end'] >= $day) || ($event['start'] == $day))
{
    if ($i > 0) echo '<hr width="97%" noshade>';
    else echo '<div>&nbsp;</div>';
    echo '<div class="event">';
    echo '<a href="', $PHP_SELF, "?id=$event[id]&amp;cm=$cm&amp;cd=$cd&amp;cy=$cy", '"';
    if ($GLOBALS['big'] == true) echo 'onClick="window.opener.location.href=\'index.php?id=' . $event[id] . '&amp;cm=' . $cm . '&amp;cy=' . $cy . '&amp;cd=' . date('d', strtotime($day)) . '&amp;showdate=true\';window.opener.focus();return false;"';
    echo '>';
    echo htmlentities($event['event_name']), '</a></div>';
    $i++;
} 
}
echo '<div>&nbsp;</div>';
} 
// lists options for authenticated users
/**
 * Document::authoptions()
 * 
 * { Description }
 */
function authoptions($cal_login_status)
{
if ($cal_login_status == true)
{

?>
		<ul>
            <li><span style="width: 75px;float: left;">Edit your </span><a href="<?=$GLOBALS['baseurl'] . $GLOBALS['caldir']?>editevents.php">EVENTS</a></li>
			<li><span style="width: 75px;float: left;">Edit your </span><a href="<?=$GLOBALS['baseurl'] . $GLOBALS['caldir']?>editvenue.php">VENUES</a></li>
			<li><span style="width: 75px;float: left;">Edit your </span><a href="<?=$GLOBALS['baseurl'] . $GLOBALS['caldir']?>editcontact.php">CONTACT INFO</a></li>
            <li><span style="width: 75px;float: left;">Add a </span><a href="<?=$GLOBALS['baseurl'] . $GLOBALS['caldir']?>submit-event.php">NEW EVENT</a></li>
			<li><span style="width: 75px;float: left;">Return to </span><a href="<?=$GLOBALS['baseurl'] . $GLOBALS['caldir']?>index.php">CALENDAR HOME</a></li>
		</ul>
<?php } 
else
{
return "You are not logged in.";
} 
} 

/**
 * Document::ddopts()
 * 
 * { Description }
 * 
 * @param integer $sel 
 */
function ddopts($options, $sel = 0)
{
	foreach ($options as $i => $v)
	{
		echo "<option value=\"" . $i . "\"";
		if ($sel == $i)
		{
		    echo ' selected';
		}
		echo ">" . $v . "</option>";
	}
}

function radio_opts($options, $name, $sel = 0, $div='div')
{
 	foreach ($options as $i => $v)
	{
    	echo '<'.$div.'>';
		echo '<input type="radio" name="'.$name.'" value="' . $i . '"';
		if ($sel == $i)
		{
		    echo ' checked';
		}
		echo "> " . $v;
		echo '</'.$div.'>';
	}
}

/**
 * Document::display_options()
 * 
 * 
 * { Description }
 */
function display_options($options, $current)
{
foreach ($options as $k => $v)
{
echo '<option value="', $k, '"',
($k == $current ? ' selected' : ''),
'>', htmlentities($v), "</option>\n";
} 
} 
// builds stats heading portion of admin page
/**
 * Document::adminheadertable()
 * 
 * { Description }
 */
function adminheadertable ($page)
{
$lastedited = getlastedited("cal_events");
?>
	<table width="100%" style="padding:0px;">
		<tr style="padding:0px;">
			<td valign="top" nowrap style="padding:0px;">
				<h1 class="admin">Calendar Admin - <?=$GLOBALS['adminpagenames'][$page]?></h1>
			</td>
			<td class="status" style="padding:1px 3px 0px 0px;" valign="top" nowrap>
				Total Events in DB: <em class="status"><?=getrecordtotal()?></em><br>
				ID of Last Event Edited: <em class="status"><a href="<?=$baseurl . $admin_url?>admin.php?page=1&amp;op=2&amp;id=<?=$lastedited?>"><?=$lastedited?></a></em>
			</td>
		</tr>
	</table>
<?php
} 

function tip($msg, $elem, $disp = 0)
{

?>
        <span class="tip">
        <a href="javascript:;" onmouseover="document.getElementById('<?=$elem?>').style.display='<?=(empty($disp) ? 'inline' : $disp)?>'" onmouseout="document.getElementById('<?=$elem?>').style.display='none'">
                TIP:
        </a>
        <span id="<?=$elem?>" style="display:none;"><?=$msg?></span><noscript><span><?=$msg?></span></noscript>
	</span>
<?php
} 

?>